## qbat 0.2.2+nmu2

=== CMakeLists.txt ===
project(qbat)
cmake_minimum_required(VERSION 2.6)
find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)

include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

set(INSTALL_SHARE_PREFIX ${CMAKE_INSTALL_PREFIX}/share)
set(qbat_INSTALL_SHARE_PREFIX ${INSTALL_SHARE_PREFIX}/qbat)
set(qbat_FORMS settingsdialog.ui)
set(qbat_SOURCES_H batteryicon.h powermanager.h csettingsdialog.h qtimermessagebox.h)
set(qbat_TRANSLATIONS qbat_de.ts)
set(qbat_SOURCES_CPP main.cpp batteryicon.cpp powermanager.cpp common.cpp csettingsdialog.cpp qtimermessagebox.cpp)

qt4_wrap_ui(qbat_FORMS_H ${qbat_FORMS})
qt4_wrap_cpp(qbat_SOURCES_MOC ${qbat_SOURCES_H})
qt4_add_translation(qbat_TRANSLATIONS_QM ${qbat_TRANSLATIONS})

add_executable(qbat ${qbat_SOURCES_CPP} ${qbat_SOURCES_MOC} ${qbat_SOURCES_H} ${qbat_FORMS_H} ${qbat_TRANSLATIONS_QM})
target_link_libraries(qbat ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

file(GLOB qbat_RES_ICONS res/qbat3.svg res/qbat3_mono.svg res/qbat.png res/battery.png)

install(TARGETS qbat DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES ${qbat_TRANSLATIONS_QM} DESTINATION ${qbat_INSTALL_SHARE_PREFIX}/lang)
install(FILES ${qbat_RES_ICONS} DESTINATION ${qbat_INSTALL_SHARE_PREFIX}/icons)
install(FILES qbat.desktop DESTINATION ${INSTALL_SHARE_PREFIX}/applications)

=== debian/changelog ===
qbat (0.2.2+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dh_desktop call, not needed nor available anymore

 -- Stefan Bühler <stbuehler@web.de>  Mon, 12 Jun 2017 12:27:27 +0200

qbat (0.2.2+nmu1) unstable; urgency=low

  * Non-maintainer upload.

  [ Oliver Groß ]
  * deb fixes
  * gcc 4.4 build fix
  * ported to cmake
  * fixed desktop-file install
  * removed binary translation (will be generated when building the project)
  * fixed gentoo support
  * fixed cmake build dependency
  * removed buggy "merge betteries" functionality; settings cleanup
  * fix icon install
  * fix gentoo ebuild
  * upload todo list
  * first attempt for new battery icon
  * updated base icon, added support for 0.2 style, charge label can be hidden
  * version inc
  * code cleanup, settings dialog redesign
  * version inc, project cleanup
  * compile fix

 -- Stefan Bühler <stbuehler@web.de>  Thu, 09 May 2013 11:21:50 +0200

qbat (0.2.2) unstable; urgency=low

  * fixed battery loss information
  * settings are now saved by accepting the settings dialog

 -- Oliver Groß <neokensuke@freenet.de>  Mon, 20 Jul 2009 14:11:05 +0200

qbat (0.2.1) unstable; urgency=low

  * .desktop file fixes
  * added dis-/charging color settings
  * left click on (battery-)icon shows current information
  * added capacity loss information

 -- Oliver Groß <neokensuke@freenet.de>  Wed, 15 Jul 2009 12:15:50 +0200

qbat (0.2.0) unstable; urgency=low

  * split timers (for lower CPU usage):
    - check for power supplies
    - retrieve power supply data
  * new icons
  * code cleanup
  * internal redesign
  * german translation

 -- Oliver Groß <neokensuke@freenet.de>  Thu, 18 Jun 2009 13:08:41 +0200

qbat (0.1.8) unstable; urgency=low

  * code cleanup
  * display current rate in watt and ampere
  * fixed repeated critical event handling
  * workaround for delayed update of battery icon colors

 -- Oliver Groß <neokensuke@freenet.de>  Tue, 07 Oct 2008 16:03:45 +0200

qbat (0.1.7) unstable; urgency=low

  * fixed "command<->waring" setting
  * fixed sysfs filenames
  * fixed lintian copyright warning

 -- Oliver Groß <neokensuke@freenet.de>  Tue, 02 Sep 2008 22:11:25 +0200

qbat (0.1.6) unstable; urgency=low

  * added basic support for battery stats in mWh
  * added confirmation dialog before executing command
    (with optional timeout)
  * added gentoo ebuild
  * fixed setting command

 -- Oliver Groß <neokensuke@freenet.de>  Tue, 02 Sep 2008 20:21:16 +0200

qbat (0.1.5) unstable; urgency=low

  * added option to display balloon tips instead of dialog messages
  * added charging time information
  * removed obsolete d-bus dependecy
  * fixed .desktop file
  * some Qt 4.4.x fixes

 -- Oliver Groß <neokensuke@freenet.de>  Mon, 02 Jun 2008 15:52:59 +0200

qbat (0.1.4) unstable; urgency=low

  * Fixed and improved battery icon painting
  * Added caching of information

 -- Oliver Groß <neokensuke@freenet.de>  Thu, 17 Apr 2008 14:13:30 +0200

qbat (0.1.3) unstable; urgency=low

  * Small fixes
  * Added man page

 -- Oliver Groß <neokensuke@freenet.de>  Thu, 10 Jan 2008 14:57:54 +0100

qbat (0.1.2) unstable; urgency=low

  * Battery painting bugfix

 -- Oliver Groß <neokensuke@freenet.de>  Thu, 10 Jan 2008 14:34:25 +0100

qbat (0.1.1) unstable; urgency=low

  * Several bugfixes
  * Renewed battery painting

 -- Oliver Groß <neokensuke@freenet.de>  Thu, 10 Jan 2008 14:09:38 +0100

qbat (0.1.0) unstable; urgency=low

  * New icon for batterys
  * Added handling for critical battery capacity
    - Show warning or execute a command
  * Added settings dialog
  * Added customizable battery icon colors
  * Added customizable polling rate
  * Batterys can now be merged to one virtual battery

 -- Oliver Groß <neokensuke@freenet.de>  Wed, 09 Jan 2008 16:58:07 +0100

qbat (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Oliver Groß <neokensuke@freenet.de>  Tue, 08 Jan 2008 11:31:31 +0100

=== debian/control ===
Source: qbat
Section: utils
Priority: extra
Maintainer: Oliver Groß <neokensuke@freenet.de>
Build-Depends: cdbs, debhelper (>= 9), qt4-dev-tools, libqt4-dev, cmake
Standards-Version: 3.9.4
Homepage: http://repo.or.cz/w/qbat.git

Package: qbat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt4 Systray Battery Monitor
 QBat is a small tool based on Qt4 to display battery stats in system tray.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_CMAKE_EXTRA_FLAGS=-DCMAKE_BUILD_TYPE="RelWithDebInfo" -DCMAKE_EXE_LINKER_FLAGS="$(LDFLAGS)"

DEB_INSTALL_MANPAGES_qbat=res/qbat.1
